Bug 854603 - No body in response when creating direct LUN disk
No body in response when creating direct LUN disk
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.1.0
Assigned To: Ori Liel
Attila Darazs
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 08:19 EDT by Jakub Libosvar
Modified: 2016-02-10 14:26 EST (History)
10 users (show)

See Also:
Fixed In Version: si20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Libosvar 2012-09-05 08:19:19 EDT
Description of problem:
Sending to api/disks this body for creating direct LUN succeeds but no body is returned.

<disk>    
    <name>direct0</name>
    <provisioned_size>1073741824</provisioned_size>
    <interface>virtio</interface>
    <format>cow</format>
    <lunStorage>
        <logical_unit id="36006048c78acaa6eac8ebc05bf73dee1">
            <address>10.34.63.200</address>
            <port>3260</port>
            <target>iqn.1992-05.com.emc:ckm001201002300000-5-vnxe</target>
        </logical_unit>
    </lunStorage>
</disk>

Version-Release number of selected component (if applicable):
rhevm-backend-3.1.0-15.el6ev.noarch
rhevm-restapi-3.1.0-15.el6ev.noarch
Comment 3 Ori Liel 2012-10-03 06:01:10 EDT
posted upstream: 
  
  http://gerrit.ovirt.org/#/c/8149/  


merged upstream: 

  commit a9447c70f4215f70a6b6b839a963698ad0e696db


posted downsteam: 
  
  https://gerrit.eng.lab.tlv.redhat.com/#/c/2421/


merged downsteam: 

  commit 8478ebd9df110a1898aa14227b47b3e0c185d679
Comment 4 Gadi Ickowicz 2012-10-15 09:26:12 EDT
verified on SI20 - rhevm-3.1.0-20.el6ev.noarch

Response received:

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<disk href="/api/disks/8a411f5c-5393-4345-a7ee-1f27aa43f8a1" id="8a411f5c-5393-4345-a7ee-1f27aa43f8a1">
    <name>directLunDisk</name>
    <link href="/api/disks/8a411f5c-5393-4345-a7ee-1f27aa43f8a1/statistics" rel="statistics"/>
    <alias>directLunDisk</alias>
    <interface>virtio</interface>
    <bootable>false</bootable>
    <shareable>false</shareable>
    <wipe_after_delete>false</wipe_after_delete>
    <propagate_errors>false</propagate_errors>
    <lunStorage id="3514f0c561000003d">
        <logical_unit id="3514f0c561000003d">
            <size>0</size>
            <paths>0</paths>
            <disk_id>8a411f5c-5393-4345-a7ee-1f27aa43f8a1</disk_id>
        </logical_unit>
    </lunStorage>
</disk>

Note You need to log in before you can comment on or make changes to this bug.